<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Рамка(border)'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
if (isset($_POST['add']) && $_POST['border']!=NULL && $_POST['color']!=NULL  && $_POST['style']!=NULL && $_POST['width']!=NULL)
{
$border=esc(stripcslashes(htmlspecialchars($_POST['border'])));
$color=esc(stripcslashes(htmlspecialchars($_POST['color'])));
$style=esc(stripcslashes(htmlspecialchars($_POST['style'])));
$width=esc(stripcslashes(htmlspecialchars($_POST['width'])));
mysql_query("UPDATE `css` SET `border` = '$border', `color` = '$color', `style` = '$style', `width` = '$width' LIMIT 1");
}
err();
aut();
echo "<div class='anton'><img src='/css/img/back.png'> <a href='/css/'>Назад</a></div>";
if (isset($_GET['add'])){
echo "<form action='?add=$passgen' method=\"post\">";
echo "Рамка(border):<br />\n";
echo "<select name='border'>\n";
echo "<option value='border'>border</option>\n";
echo "<option value='border-left'>border-left</option>\n";
echo "<option value='border-right'>border-right</option>\n";
echo "<option value='border-top'>border-top</option>\n";
echo "<option value='border-bottom'>border-bottom</option>\n";
echo "</select><br />\n";
echo "Ширина рамки(width):<br />\n";
echo "<input type=\"text\" name=\"width\" value=\"\"/><br />\n";
echo "Цвет(color)(Пример: FF00FF или 354638):<br />\n";
echo "<input type=\"text\" name=\"color\" value=\"\"/><br />\n";
echo "Стиль(style):<br />\n";
echo "<select name='style'>\n";
echo "<option value='solid'>solid</option>\n";
echo "<option value='dotted'>dotted</option>\n";
echo "<option value='dashed'>dashed</option>\n";
echo "<option value='outset'>outset</option>\n";
echo "<option value='inset'>inset</option>\n";
echo "<option value='ridge'>ridge</option>\n";
echo "<option value='double'>double</option>\n";
echo "<option value='groove'>groove</option>\n";
echo "</select><br />\n";
echo "<input class='submit' name='add' type='submit' value='Создать' /><br />\n";
echo "</form>";
}
echo "<div class='menu_razd'>Результат</div>";
$css=mysql_fetch_assoc(mysql_query("SELECT * FROM `css`"));
echo "<div style='$css[border]: $css[width]px $css[style] #$css[color]'>";
if ($css['width']!=NULL)
echo "<br><center>$css[border]: $css[width]px $css[style] #$css[color]</center><br>";
else echo "";
echo "</div>";
mysql_query("UPDATE `css` SET `border` = '', `color` = '', `style` = '', `width` = '' LIMIT 1");
include_once '../sys/inc/tfoot.php';
?>